import Vue from 'vue'
import Vuex from 'vuex'
import getters from './getters'
import app from './modules/app'
import settings from './modules/settings'
import user from './modules/user'
import depart from './modules/depart'
import railWay from './modules/railWay'
import station from './modules/station'
import FSU from './modules/FSU'
import monitor from './modules/monitor'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    settings,
    user,
    depart,
    railWay,
    station,
    FSU,
    monitor
  },
  getters
})

export default store
